<?php
/**
 * WebEngine
 * http://muengine.net/
 * 
 * @version 1.0.9
 * @author Lautaro Angelico <http://lautaroangelico.com/>
 * @copyright (c) 2013-2017 Lautaro Angelico, All Rights Reserved
 * 
 * Licensed under the MIT license
 * http://opensource.org/licenses/MIT
 */
?>
<h1 class="page-header">SuperRewards Donations</h1>
<?php
try {
	$srDonations = $dB->query_fetch("SELECT * FROM WEBENGINE_SR_TRANSACTIONS ORDER BY id DESC");
	if(!is_array($srDonations)) throw new Exception("There are no SuperRewards transactions in the database.");

	echo '<table id="superrewards_donations" class="table table-condensed table-hover">';
		echo '<thead>';
			echo '<tr>';
				echo '<th>Transaction ID</th>';
				echo '<th>Account</th>';
				echo '<th>Amount (credits)</th>';
				echo '<th>Date</th>';
			echo '</tr>';
		echo '</thead>';
		echo '<tbody>';
		foreach($srDonations as $data) {
			$userData = $common->accountInformation($data['user_id']);
			
			echo '<tr>';
				echo '<td>'.$data['transaction_id'].'</td>';
				echo '<td><a href="'.admincp_base("accountinfo&id=".$data['user_id']).'">'.$userData[_CLMN_USERNM_].'</a></td>';
				echo '<td>'.$data['credits_amount'].'</td>';
				echo '<td>'.date("m/d/Y h:i A",$data['transaction_date']).'</td>';
			echo '</tr>';
		}
		echo '</tbody>';
	echo '</table>';
} catch(Exception $ex) {
	message('error', $ex->getMessage());
}
?>